### Hierarchy

- ContextMenuSelectionService

## Index

### Constructors

- constructor

### Properties

- selectionObservable
- selectionSubject
- value

### Methods

- selectCheckbox
- selectCheckboxes
- selectRadio

## Constructors

### constructor

- new ContextMenuSelectionService(): ContextMenuSelectionService

- - Defined in src/context-menu/context-menu-selection.service.ts:8

  #### Returns ContextMenuSelectionService

## Properties

### selectionObservable

selectionObservable: Observable<any | any[]>

- Defined in src/context-menu/context-menu-selection.service.ts:6

### Private selectionSubject

selectionSubject: ReplaySubject<any> = new ReplaySubject<any | any[]>(1)

- Defined in src/context-menu/context-menu-selection.service.ts:7

### Private value

value: any[] = []

- Defined in src/context-menu/context-menu-selection.service.ts:8

## Methods

### selectCheckbox

- selectCheckbox(value: any): void

- - Defined in src/context-menu/context-menu-selection.service.ts:22

  #### Parameters

  - ##### value: any

  #### Returns void

### selectCheckboxes

- selectCheckboxes(value: any[]): void

- - Defined in src/context-menu/context-menu-selection.service.ts:34

  #### Parameters

  - ##### value: any[]

  #### Returns void

### selectRadio

- selectRadio(value: any): void

- - Defined in src/context-menu/context-menu-selection.service.ts:14

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc